package model

import (
	"time"
)

type TaCoupon struct {
	CouponId     string    `xorm:"not null pk VARCHAR(64)"`
	CouponTypeId string    `xorm:"VARCHAR(64)"`
	SendType     int       `xorm:"comment('0案场 1渠道') SMALLINT(6)"`
	VideoUrl     string    `xorm:"TEXT"`
	CoverUrl     string    `xorm:"TEXT"`
	Price        string    `xorm:"DECIMAL(64)"`
	IsAll        int       `xorm:"TINYINT(1)"`
	StartDate    time.Time `xorm:"DATETIME"`
	EndDate      time.Time `xorm:"DATETIME"`
	ValidDays    int       `xorm:"INT(11)"`
	TotalCount   int       `xorm:"INT(11)"`
	SentCount    int       `xorm:"INT(11)"`
	UsedCount    int       `xorm:"INT(11)"`
	Status       int       `xorm:"comment('0未发布 1发布 2过期') SMALLINT(6)"`
	CaseId       string    `xorm:"VARCHAR(64)"`
	OrgId        string    `xorm:"VARCHAR(64)"`
	CreateDate   time.Time `xorm:"DATETIME"`
	CreateUser   string    `xorm:"VARCHAR(64)"`
	IsOver       int       `xorm:"TINYINT(1)"`
}
